## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/libgit2/git2go
%global goipath         github.com/libgit2/git2go
Version:                35.0.0

%gometa -L

%global godevelheader %{expand:
Requires:      (pkgconfig(libgit2) >= 1.9 with pkgconfig(libgit2) < 1.10)}

%global common_description %{expand:
Go bindings for libgit2.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-github-libgit2-git2go
Release:        %autorelease
Summary:        Bindings for libgit2

License:        MIT
URL:            %{gourl}
Source:         %{gosource}
Patch:          0001-Skip-tests-that-use-the-network.patch
Patch:          libgit2_1.9.patch

BuildRequires: (pkgconfig(libgit2) >= 1.9 with pkgconfig(libgit2) < 1.10)
BuildRequires: golang(github.com/google/shlex)
BuildRequires: golang(golang.org/x/crypto/ssh)
%if %{with check}
BuildRequires: git-core
BuildRequires: golang(golang.org/x/crypto/openpgp)
BuildRequires: golang(golang.org/x/crypto/openpgp/packet)
%endif

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1


%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestRemoteSSH" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 35.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Pete Walter <pwalter@fedoraproject.org> - 35.0.0-11
- Patch for libgit2 1.9.x support

* Thu Oct 03 2024 Pete Walter <pwalter@fedoraproject.org> - 35.0.0-10
- Patch for libgit2 1.7.x support

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 35.0.0-9
- Fix FTBFS - Closes rhbz#2225860

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 35.0.0-8
- Fix FTBFS - Closes rhbz#2225860

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 35.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 35.0.0-6
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 35.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 35.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 35.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 35.0.0-1
- Update to latest version (#2132454)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 33.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 33.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 33.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 33.0.4-1
- Update to 33.0.4

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 31.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 31.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 31.4.7-1
- Update to 31.4.7

* Tue Jul 28 22:24:38 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 30.0.5-1
- Update to 30.0.5

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 18 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.4.1-1
- Update to latest version

* Tue Feb 18 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.4-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.30.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.29.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jul 04 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.28.3.20190703gitb2e2b2f
- Re-enable 32-bit builds

* Wed Jul 03 22:47:03 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.28.2.20190703gitb2e2b2f
- Bump to commit b2e2b2f71bb47ae3d4cfde07b39f524f13d0df93

* Sun Jun 02 20:23:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.27.2.20190223gitecaeb7a
- Update to new macros

* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.27.1.20190223gitecaeb7a
- First package for Fedora

## END: Generated by rpmautospec
